Package com.massivecraft.factions.cmd.check

## Class CheckTask

- java.lang.Object
- - com.massivecraft.factions.cmd.check.CheckTask

All Implemented Interfaces:
  `java.lang.Runnable`

    public class CheckTask
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`CheckTask​(FactionsPlugin plugin, int minute)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static boolean` | `bufferCheck​(java.lang.String factionId)` |
`static void` | `cleanupTask()` |
`void` | `run()` |
`static boolean` | `wallCheck​(java.lang.String factionId)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckTask

    public CheckTask​(FactionsPlugin plugin,
                     int minute)

### Method Detail

#### cleanupTask

    public static void cleanupTask()

#### wallCheck

    public static boolean wallCheck​(java.lang.String factionId)

#### bufferCheck

    public static boolean bufferCheck​(java.lang.String factionId)

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`